com.elastisys.scale.cloudpool.api.restapi.types

## Class SetDesiredSizeRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.restapi.types.SetDesiredSizeRequest

    public class SetDesiredSizeRequest
    extends Object

REST API request type that requests a certain desired size of the machine pool.

See Also:
  `CloudPoolHandler.setDesiredSize(SetDesiredSizeRequest)`

### Constructor Summary

Constructors
Constructor and Description
`SetDesiredSizeRequest(int desiredSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `getDesiredSize()`
`int` `hashCode()`
`void` `setDesiredSize(int desiredSize)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetDesiredSizeRequest

    public SetDesiredSizeRequest(int desiredSize)

### Method Detail

#### setDesiredSize

    public void setDesiredSize(int desiredSize)

#### getDesiredSize

    public int getDesiredSize()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`